Subject: Re: linux-next: i2c/driver-core merge conflict

From: Greg KH <[email-masked]>
Date: Thu, 15 May 2008 11:47:15 -0700

On Thu, May 15, 2008 at 09:58:14AM +0200, Jean Delvare wrote:
> On Wed, 14 May 2008 20:09:42 -0700, Greg KH wrote:
> > On Thu, May 15, 2008 at 12:00:06PM +1000, Stephen Rothwell wrote:
> > > Hi Jean, Greg,
> > > 
> > > Today's linux-next merge of the i2c tree got a conflict in
> > > include/linux/i2c.h between commit
> > > e38c93bf253cb3176478a1943cd2306e8413d2bb ("driver core: remove
> > > KOBJ_NAME_LEN define") from the driver-core tree and commit
> > > f625810ef235a8b238427df3129792f89187c085 ("i2c: Kill the old driver
> > > matching scheme") from the i2c tree.  The former changes the definition
> > > of driver_name in two places, the letter removes the definitions.  I went
> > > with the latter.
> > 
> > Thanks, that should be the correct one.
> 
> Correct, thanks.
> 
> Greg, note that I plan to send this patch to Linus quickly, so you will
> have to adjust your patch (i.e. simply remove the linux/i2c.h chunks
> that no longer apply) for 2.6.26-rc3.

No problem, I will adjust them after your patches go to Linus, mine are
queued up for 2.6.27, not .26.

thanks,

greg k-h